# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rasterh3"
version = "0.12.0"
authors = ["Nico Mandery <nico@nmandery.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Convert raster data to H3 cells"
homepage = "https://github.com/nmandery/rasterh3"
readme = "README.md"
keywords = [
    "geo",
    "spatial",
    "h3",
    "ndarray",
]
license = "MIT"
repository = "https://github.com/nmandery/rasterh3.git"

[features]
rayon = [
    "dep:rayon",
    "ndarray/rayon",
]

[lib]
name = "rasterh3"
path = "src/lib.rs"

[[example]]
name = "h3ify_r_tiff"
path = "examples/h3ify_r_tiff.rs"

[[bench]]
name = "convert_dataset_r"
path = "benches/convert_dataset_r.rs"
harness = false

[dependencies.ahash]
version = "0.8"

[dependencies.geo]
version = "0.33"

[dependencies.geo-types]
version = "^0.7"

[dependencies.h3o]
version = "0.10"
features = ["geo"]

[dependencies.ndarray]
version = "^0.17"
features = []

[dependencies.rayon]
version = "^1"
optional = true

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.approx]
version = "^0.5"

[dev-dependencies.criterion]
version = "^0.8"
features = ["html_reports"]

[dev-dependencies.env_logger]
version = "^0.11"

[dev-dependencies.gdal]
version = "0.19"
features = ["array"]

[dev-dependencies.ordered-float]
version = "5"
